Description: Add missing imports
Author: Bastian Germann <bage@debian.org>

---

--- checkpw-1.02.orig/alloc.c
+++ checkpw-1.02/alloc.c
@@ -1,7 +1,6 @@
 #include "alloc.h"
 #include "error.h"
-extern char *malloc();
-extern void free();
+#include <stdlib.h>
 
 #define ALIGNMENT 16 /* XXX: assuming that this alignment is enough */
 #define SPACE 2048 /* must be multiple of ALIGNMENT */
--- checkpw-1.02.orig/checkapoppw.c
+++ checkpw-1.02/checkapoppw.c
@@ -1,4 +1,6 @@
 #include <sys/stat.h>
+#include <unistd.h>
+#include "str.h"
 #include "error.h"
 #include "pathexec.h"
 #include "prot.h"
--- checkpw-1.02.orig/checkpw.c
+++ checkpw-1.02/checkpw.c
@@ -1,4 +1,6 @@
 #include <sys/stat.h>
+#include <unistd.h>
+#include "str.h"
 #include "error.h"
 #include "pathexec.h"
 #include "prot.h"
--- checkpw-1.02.orig/exit.h
+++ checkpw-1.02/exit.h
@@ -1,6 +1,6 @@
 #ifndef EXIT_H
 #define EXIT_H
 
-extern void _exit();
+#include <unistd.h>
 
 #endif
--- checkpw-1.02.orig/hier.c
+++ checkpw-1.02/hier.c
@@ -1,5 +1,7 @@
 #include "auto_home.h"
 
+extern void c(char *home, char *subdir, char *file, int uid, int gid, int mode);
+
 void hier()
 {
   c(auto_home,"bin","checkpw",-1,-1,0700);
--- checkpw-1.02.orig/install.c
+++ checkpw-1.02/install.c
@@ -1,3 +1,4 @@
+#include <sys/stat.h>
 #include "buffer.h"
 #include "strerr.h"
 #include "error.h"
--- checkpw-1.02.orig/pathexec_run.c
+++ checkpw-1.02/pathexec_run.c
@@ -1,3 +1,4 @@
+#include <unistd.h>
 #include "error.h"
 #include "stralloc.h"
 #include "str.h"
--- checkpw-1.02.orig/prot.c
+++ checkpw-1.02/prot.c
@@ -1,3 +1,5 @@
+#include <grp.h>
+#include <unistd.h>
 #include "hasshsgr.h"
 #include "prot.h"
 
--- checkpw-1.02.orig/readwrite.h
+++ checkpw-1.02/readwrite.h
@@ -1,7 +1,6 @@
 #ifndef READWRITE_H
 #define READWRITE_H
 
-extern int read();
-extern int write();
+#include <unistd.h>
 
 #endif
--- checkpw-1.02.orig/str.h
+++ checkpw-1.02/str.h
@@ -1,5 +1,6 @@
 #ifndef STR_H
 #define STR_H
+#include <string.h>
 
 extern unsigned int str_copy(char *,char *);
 extern int str_diff(char *,char *);
